Subject: RE: Drafts getting bounced with little explanation

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 9 Jul 2004 14:32:13 +0200

And let me plug support for your tool here.
I would be surprised if a doc gets bounced if it
passes your idcheck tool.

Thanks,
Bert 

> -----Original Message-----
> From: Henrik Levkowetz [mailto:[email-masked]]
> Sent: vrijdag 9 juli 2004 11:45
> Cc: [email-masked]
> Subject: Re: Drafts getting bounced with little explanation
> 
> 
> 
> I've also run into one instance of a draft returned without 
> explanatory
> details, and it's quite frustrating.
> 
> One possible help in finding out what the trouble is with a particular
> document could be to use the idnits tool I've written 
>  ( http://ietf.levkowetz.com/tools/idnits ) - that should report any
> ID-checklist violation that doesn't require human judgement.  
> 
> But it would be nicer and easier if the secretariat would 
> just indicate
> why it is bouncing a document...
> 
> 	Henrik
> 
> 
> On Friday,  9 Jul 2004, Gorry Fairhurst wrote:
> > This is frustrating, and I note that the ones that are not 
> bounced do 
> > not have consistent heading and ordering either.... :-)
> > 
> > Waiting 1-2 days to receive this confusing message is certainly not 
> > encouraging to new authors/editors.
> > 
> > Gorry Fairhurst
> > 
> > Bernard Aboba wrote:
> > 
> > > Yes.  I had to compare my (bounced) draft to the ones 
> that were getting
> > > through and then submit new boilerplate.   I still don't 
> know what exactly
> > > was wrong, but they did get through after I copied 
> successful boilerplate.
> > > 
> > > On Thu, 8 Jul 2004, Paul Hoffman / VPNC wrote:
> > > 
> > > 
> > >>Just a heads-up: drafts that are not in perfect format are being
> > >>bounced with the message:
> > >>
> > >>According to the new procedure your I-D has to include 
> some statements.
> > >>Please check the
> > 
>>http://www1.ietf.org/mail-archive/web/ietf-announce/current/msg00244.html
> >>for more details.
> >>
> >>The two rejections that I have seen did not say what was missing.
> >>
> >>--Paul Hoffman, Director
> >>--VPN Consortium
> >>
> > 
> > 
> > 
> 
>

---

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 09 Jul 2004 14:43:15 +0100

Yes - it's a good tool!

However, it fails documents that fix the grammar in the text - which I 
gather was OK:

Cut from message of 15/6/04 4:33 pm to the WG Chair list:
Scott Bradner:
 >>(I assume that we need change 'I' by 'we' in the case of multiple =
 >>> authors - is this true? or 'verbatim' is 'verbatim'?)

 > I think that is ok
 > Scott

Did Scott actually mean that it authors MAY use "WE"?

Specifically, can someone quickly tell me explicitly: are multiple 
authors allowed to say "WE certify that".... and use "WE" in the IPR 
statement?

Gorry

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 9 Jul 2004 15:59:16 +0200

Hi Gorry,

    About "we" - that's odd.  I added acceptance of "we" in version 1.32
- was that the version you ran?  Could you send me the document that fails?

	Henrik

---

From: [email-masked] (Scott Bradner)
Date: Fri, 9 Jul 2004 10:00:52 -0400 (EDT)

the final wording approved by the lawyer was

   By submitting this Internet-Draft, each author represents that any
   applicable patent or other IPR claims of which he or she is aware
   have been or will be disclosed, and any of which he or she becomes
   aware will be disclosed, in accordance with Section 6 of RFC 3668.

(at least that is what I have)

Scott

----
>From [email-masked]  Fri Jul  9 09:44:53 2004
Date: Fri, 09 Jul 2004 14:43:15 +0100
From: Gorry Fairhurst <[email-masked]>
Reply-To: [email-masked]
Organization: Univesrity of Aberdeen
To: "Wijnen, Bert (Bert)" <[email-masked]>
Cc: Henrik Levkowetz <[email-masked]>, [email-masked],
	[email-masked]
Subject: Re: Drafts getting bounced with little explanation

Yes - it's a good tool!

Gorry

---

From: Kevin Dubray <[email-masked]>
Date: Fri, 09 Jul 2004 10:17:53 -0400

It's a wonderful tool.  Thanks, Henrik, for your wonderful effort and
diligence in keeping up with the format changes!

That said, there has been many changes of late to the formatting
of IETF documents.  Bert, is there an effort in the IESG to review ALL
the guiding policy mandates (e.g, id-nits, 1id-guidelines.txt,
rfc2223bis, RFC Editor policy abstract, RFCs3667/8, etc.)
to assure that they are singing a singularly clear and correct song?

-Kevin